package es.uoc.mxpdroid.util;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.util.StringTokenizer;

public class ReadPonderFile {
	
	public float[] readFile(File ff, String file_name) throws Exception{
		File f_in = new File(ff, file_name);
		float[] table = new float[4];
		FileReader fr = new FileReader(f_in);
		BufferedReader br = new BufferedReader(fr);
		StringTokenizer stk;
		
		//first line is for information of the context
		br.readLine();
		while (br.ready()){
			stk = new StringTokenizer(br.readLine());
			if (stk.countTokens() == 2){
				String key = stk.nextToken();
				float value = Float.parseFloat(stk.nextToken());
				if (key.equals("SLOPE"))
					table[0] = value;
				else if (key.equals("LAND_USE"))
					table[1] = value;
				else if (key.equals("PRECIP"))
					table[2] = value;
				else if (key.equals("CLIMA"))
					table[3] = value;
			}
		}
		
		br.close();
		fr.close();
		
		return table;
	}

}
