package es.uoc.mxpdroid.util;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.util.StringTokenizer;

public class ReadReclassFile {
	
	
	public float[][] readFile(File ff, String file_name) throws Exception{
		File f_in = new File(ff, file_name);
		float[][] table;
		FileReader fr = new FileReader(f_in);
		BufferedReader br = new BufferedReader(fr);
		StringTokenizer stk;
		
		//first line is for information of the context
		br.readLine();
		
		//second line is the total entries on the table
		table = new float[Integer.parseInt(br.readLine())][3];
		
		//the others lines are the table
		for (int ii = 0; ii < table.length; ii++){
			stk = new StringTokenizer(br.readLine(),";");
			table[ii][0] = Float.parseFloat(stk.nextToken());
			table[ii][1] = Float.parseFloat(stk.nextToken());
			table[ii][2] = Float.parseFloat(stk.nextToken());
		}
		br.close();
		fr.close();
		
		return table;
	}

}
